Skip to main content

Get a specific conversation category

GET/v2/conversation-categories/{categoryId}
API version
v2
Request method
GET
Operation ID
conversation-get-category

Request​

  • categoryIdstring (uuid)required

Responses​

Format
application/json
Description
  • categoryIdstring (uuid)required
  • namestringrequired
  • referenceTypearray of string (one of: unspecified, server, project, organisation, extensionInstance)required
    • Array[
      • *string (one of: unspecified, server, project, organisation, extensionInstance)
      ]
Content-Type: application/json

{
"categoryId": "f0f86186-0a5a-45b2-aa33-502777496347",
"name": "string",
"referenceType": [
"unspecified"
]
}
{
"properties": {
"categoryId": {
"format": "uuid",
"type": "string"
},
"name": {
"type": "string"
},
"referenceType": {
"items": {
"enum": [
"unspecified",
"server",
"project",
"organisation",
"extensionInstance"
],
"type": "string"
},
"type": "array"
}
},
"required": [
"categoryId",
"name",
"referenceType"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/conversation-categories/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.conversation.getCategory({
"categoryId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\GetCategory\GetCategoryRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetCategoryRequest(
categoryId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->conversation()->getCategory($request);

var_dump($response->getBody();

On this page